Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.xml.security.assertion
Interface ElementAssertion

All Known Implementing Classes:
  ElementConfidentialityAssertion, ElementIntegrityAssertion

Deprecated. please use new WS Security API

public interface ElementAssertion

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `BODY` Deprecated.
`static String` | `HEADER` Deprecated.

Method Summary
`String` | `getElementLocalName()` Deprecated. Returns the LocalName of the Elements covered by this assertion.
`QName` | `getElementName()` Deprecated. Returns the name of the Elements covered by this assertion.
`String` | `getElementNamespace()` Deprecated. Returns the namespace of the elements covered by this assertion.
`String` | `getRestriction()` Deprecated. Get the restriction for the current assertion (i.e.
`boolean` | `satisfies(ElementIdentifier element)` Deprecated. Returns true if assertion covers the elements identified by the ElementIdentifier.

Field Detail

### BODY

    public static final String BODY

  Deprecated.
  See Also:
    Constant Field Values

### HEADER

    public static final String HEADER

  Deprecated.
  See Also:
    Constant Field Values

Method Detail

### getElementLocalName

    public String getElementLocalName()

  Deprecated.
  Returns the LocalName of the Elements covered by this assertion.

  Returns:

### getElementName

    public QName getElementName()

  Deprecated.
  Returns the name of the Elements covered by this assertion.

  Returns:

### getElementNamespace

    public String getElementNamespace()

  Deprecated.
  Returns the namespace of the elements covered by this assertion.

  Returns:

### getRestriction

    public String getRestriction()

  Deprecated.
  Get the restriction for the current assertion (i.e. "body", "header", etc)

  Returns:

### satisfies

    public boolean satisfies(ElementIdentifier element)

  Deprecated.
  Returns true if assertion covers the elements identified by the ElementIdentifier. ElementIdentifiers are used in Security specs to identify document elements that require security processing.

  Parameters:
    `element` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD